# TdApi.CreateNewBasicGroupChat (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: CreateNewBasicGroupChat

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CreateNewBasicGroupChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Chat>
it.tdlight.jni.TdApi.CreateNewBasicGroupChat

Enclosing class:
  TdApi

public static final class TdApi.CreateNewBasicGroupChat extends TdApi.Function<TdApi.Chat>
Creates a new basic group and sends a corresponding messageBasicGroupChatCreate. Returns the newly created chat.

Returns `Chat`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`messageAutoDeleteTime`
Message auto-delete time value, in seconds; must be from 0 up to 365 * 86400 and be divisible by 86400.
`String`
`title`
Title of the new basic group; 1-128 characters.
`long[]`
`userIds`
Identifiers of users to be added to the basic group; may be empty to create a basic group without other members.

## Constructor Summary

Constructors
Constructor
Description
`CreateNewBasicGroupChat()`
Creates a new basic group and sends a corresponding messageBasicGroupChatCreate.
`CreateNewBasicGroupChat(long[] userIds, String title, int messageAutoDeleteTime)`
Creates a new basic group and sends a corresponding messageBasicGroupChatCreate.
`CreateNewBasicGroupChat(DataInput input)`
Creates a new basic group and sends a corresponding messageBasicGroupChatCreate.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### userIds

public long[] userIds
Identifiers of users to be added to the basic group; may be empty to create a basic group without other members.

### title

public String title
Title of the new basic group; 1-128 characters.

### messageAutoDeleteTime

public int messageAutoDeleteTime
Message auto-delete time value, in seconds; must be from 0 up to 365 * 86400 and be divisible by 86400. If 0, then messages aren't deleted automatically.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### CreateNewBasicGroupChat

public CreateNewBasicGroupChat()
Creates a new basic group and sends a corresponding messageBasicGroupChatCreate. Returns the newly created chat.

Returns `Chat`

### CreateNewBasicGroupChat

public CreateNewBasicGroupChat(long[] userIds, String title, int messageAutoDeleteTime)
Creates a new basic group and sends a corresponding messageBasicGroupChatCreate. Returns the newly created chat.

Returns `Chat`

Parameters:
  `userIds` - Identifiers of users to be added to the basic group; may be empty to create a basic group without other members.
  `title` - Title of the new basic group; 1-128 characters.
  `messageAutoDeleteTime` - Message auto-delete time value, in seconds; must be from 0 up to 365 * 86400 and be divisible by 86400. If 0, then messages aren't deleted automatically.

  Returns `Chat`

### CreateNewBasicGroupChat

public CreateNewBasicGroupChat(DataInput input) throws IOException
Creates a new basic group and sends a corresponding messageBasicGroupChatCreate. Returns the newly created chat.

Returns `Chat`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`